class Player(object):
    
    def __init__(self, cards):
        '''A new player with a list of face-down Cards that have been dealt to
        him or her, and no cards in his or her winnings pile. The top card in
        both cards and winnings is at position -1.'''
        
        self.dealt = cards
        self.winnings = []
        
    def __str__(self):
        '''Return a string that shows the number of cards in this players 
        dealt pile and winnings pile.'''
        
        return "Dealt = " + str(len(self.dealt)) + "; Won = " + \
               str(len(self.winnings))
    
    def __cmp__(self, other):
        '''Return -1 if this player is losing to other player (i.e., has fewer
        total cards than other), 0 if they are tied, and 1 if this player is
        winning.
        '''

        pass
        
    def total_cards(self):
        '''Return the total number of cards that this player has in his/her
        dealt pile and winnings pile combined.'''

        pass
        
    def win_hand(self, cards_won):
        '''This player has won a hand. Add cards_won (a list of Cards, which
        may be a mixture of face-up and face-down) to the top of his/her
        winnings pile and make cards_won empty.'''
      
        pass
        
    def play_card(self):
        '''If this Player's dealt pile is empty, turn all the cards in the
        winnings pile face down and make the winnings pile be the new dealt
        pile. Then remove and return the top card. If the player has no cards
        at all, return None.'''

        pass
